Skip to main content
`Ctrl`+`K`

# DMSwarmSortGetIsValid

Gets the isvalid flag associated with a `DMSWARM` point sorting context

## Synopsis

    #include "petscdmda.h"
    #include "petscdmplex.h"
    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmSortGetIsValid(DM dm, PetscBool *isvalid)

Not Collective

## Input Parameter

- dm - a `DMSWARM` object

## Output Parameter

- isvalid - flag indicating whether the sort context is up-to-date

## See Also

`DMSWARM`, `DMSwarmSetType()`, `DMSwarmSortGetAccess()`

## Level

advanced

## Location

src/dm/impls/swarm/swarmpic_sort.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages